Not the answer you need?
Register and ask your own question!

Dependency problem percona-server-5.7-dbg depends on percona-server-server-5.7

KingsUPerconaKingsUPercona EntrantCurrent User Role Beginner
I have been attempting (unsuccessfully) to install percona-server-server-5.7 on Ubuntu 16.04.3 LTS.
Installed from "release-5.7.19-17-re19a6b7b73f-xenial-x86_64-bundle.tar", I ran "sudo dpkg -i *.deb". This gave me a pre-dependency problem: "debsums is not installed". So I installed debsums and ran "apt-get -f install" and right after the line: "Setting up percona-server-server-5.7 (5.7.19-17-1.xenial) ..." I get the following error:
dpkg: error processing package percona-server-server-5.7 (--configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of percona-server-5.7-dbg:
percona-server-5.7-dbg depends on percona-server-server-5.7 (= 5.7.19-17-1.xenial); however:
Package percona-server-server-5.7 is not configured yet.

Comments

  • jriverajrivera Percona Support Engineer Percona Staff Role
    You don't really need to install the *-dbg files if you're testing PS. Try the following steps:

    apt install debsums (assuming you're done with this)

    Install *common and *client packages first:
    dpkg -i percona-server-client-5.7_5.7.19-17-1.xenial_amd64.deb percona-server-common-5.7_5.7.19-17-1.xenial_amd64.deb

    Then install the *server package, it will require more dependencies so run the last command below.
    dpkg -i percona-server-server-5.7_5.7.19-17-1.xenial_amd64.deb
    apt-get -f install
  • KingsUPerconaKingsUPercona Entrant Current User Role Beginner
    Thank you, that did the trick :)
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.